# $Revision: 1.36 $, $Date: 2005/10/05 17:09:49 $
%include	/usr/lib/rpm/macros.php
%define		_class		Auth
%define		_subclass	HTTP
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - HTTP authentication system using PHP
Summary(pl):	%{_pearname} - system uwierzytelniania HTTP przy uyciu PHP
Name:		php-pear-%{_pearname}
Version:	2.1.6
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	d5209f0d1f1874e23b44fbfb397a2aa0
URL:		http://pear.php.net/package/Auth_HTTP
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear >= 4:1.0-8
Requires:	php-pear-Auth >= 1.2.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PEAR::Auth_HTTP class provides methods for creating an HTTP
authentication system using PHP, that is similar to Apache's
realm-based .htaccess authentication.

In PEAR status of this package is: %{_status}.

%description -l pl
Klasa PEAR::Auth_HTTP dostarcza metod do stworzenia uwierzytelniania
HTTP za pomoc PHP, w sposb zbliony do opartego na .htaccess
uwierzytelniania w Apache.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Auth_HTTP.spec,v $
Revision 1.36  2005/10/05 17:09:49  glen
- rel 2

Revision 1.35  2005/10/03 23:04:11  glen
- unified

Revision 1.34  2005/10/03 22:59:15  glen
- semi automatically added deps from pear

Revision 1.33  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.32  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.31  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.30  2005/09/21 21:05:11  glen
- fixed dirs

Revision 1.29  2005/09/19 21:43:39  glen
- integer BR

Revision 1.28  2005/09/19 18:43:56  glen
- merged from DEVEL: use new pear packaging system

Revision 1.27.2.6  2005/09/19 17:36:33  glen
- macros moved to rpm-build

Revision 1.27.2.5  2005/09/18 14:06:48  glen
- fix URL, fix status

Revision 1.27.2.4  2005/09/18 12:43:44  glen
- add install.log

Revision 1.27.2.3  2005/09/18 12:40:53  glen
- unify

Revision 1.27.2.2  2005/09/18 11:05:53  glen
- rel 1.1

Revision 1.27.2.1  2005/09/18 11:04:52  glen
- use php-pear-build

Revision 1.27  2005/05/05 07:38:50  adamg
- updated to 2.1.6

Revision 1.26  2005/02/05 19:44:20  adamg
- updated to 2.1.4

Revision 1.25  2004/12/03 20:37:20  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.24  2004/08/17 11:39:09  qboosh
- pl fix

Revision 1.23  2004/08/15 20:15:04  adamg
- typo

Revision 1.22  2004/08/15 18:19:09  adamg
- updated to 2.1.2
- better (?) pl/en description

Revision 1.21  2004/07/13 18:56:55  adamg
- updated to 2.1.1

Revision 1.20  2004/05/30 13:13:47  adamg
- fixed english information about status of the package

Revision 1.19  2004/05/30 10:12:30  adamg
- updated to 2.1.0

Revision 1.18  2004/04/17 15:39:25  adamg
- updated to 2.1.0RC2

Revision 1.17  2004/04/14 10:08:46  adamg
- updated to 2.1RC1
- status changed to beta

Revision 1.16  2003/10/16 21:33:53  adamg
- updated to 2.0

Revision 1.15  2003/10/07 20:54:19  adamg
- do not use macros in URL

Revision 1.14  2003/08/31 20:49:08  adamg
- more specific URL

Revision 1.13  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.12  2003/05/25 06:25:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/02/01 22:56:01  blues
- added status info

Revision 1.10  2002/10/14 23:36:15  misto
- new rpm-php-requires/provides scripts
- release 5

Revision 1.9  2002/09/07 19:22:52  blues
- fix in macros

Revision 1.8  2002/08/09 20:07:02  blues
- Release 4: dir entry is back again. There is no other classes that use
  that directory; STBR

Revision 1.7  2002/07/12 22:42:16  blues
- release 3 (rebuild with new rpm)

Revision 1.6  2002/07/03 23:58:05  kloczek
- release 2.

Revision 1.5  2002/07/02 16:23:14  blues
- req. php-pear

Revision 1.4  2002/07/01 22:05:44  blues
- 1.0.1
  STBR

Revision 1.3  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.2  2002/06/30 12:25:14  qboosh
- better pl

Revision 1.1  2002/06/25 13:41:53  blues
- initial
